
mgr - Bug #19399

mgr: add django packaging for ceph-mgr rest module

03/28/2017 03:59 PM - Patrick Donnelly

Status: Won't Fix % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Development Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Background: installed ceph-mgr package on CentOS 7 lacks dependencies to get ceph-mgr modules running.

See: https://github.com/ceph/ceph-ansible/pull/1377#issuecomment-289793577

History

#1 - 03/28/2017 04:16 PM - Tim Serong

There was a bit of discussion on exactly how to handle dependencies for mgr modules in https://github.com/ceph/ceph/pull/13725.  For the rest

module specifically, I think it's worth considering packaging that as ceph-mgr-rest (or similar), and adding the django and djangorestframework

dependencies there, rather than to the ceph-mgr package.  Also note that unless something's changed that I'm not aware of, the rest module works

with django versions between approximately 1.5 and 1.8, but probably not with newer django versions (I'm not sure what's available on CentOS 7).

#2 - 03/28/2017 09:07 PM - John Spray

- Subject changed from mgr: add django packaging support to ceph-mgr to mgr: add django packaging for ceph-mgr rest module

See also http://tracker.ceph.com/issues/17459

#3 - 06/07/2017 03:20 PM - Sage Weil

- Status changed from New to Won't Fix
